<div>
    <h2 id="page-heading">
        <span jhiTranslate="winpharmApp.ligneVente.home.title">Ligne Ventes</span>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="alert alert-warning" *ngIf="ligneVentes?.length === 0">
        <span jhiTranslate="winpharmApp.ligneVente.home.notFound">No ligneVentes found</span>
    </div>
    <div class="table-responsive" *ngIf="ligneVentes?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="designationProduit"><span jhiTranslate="winpharmApp.ligneVente.designationProduit">Designation Produit</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="prixProduit"><span jhiTranslate="winpharmApp.ligneVente.prixProduit">Prix Produit</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="quantite"><span jhiTranslate="winpharmApp.ligneVente.quantite">Quantite</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="sousTotal"><span jhiTranslate="winpharmApp.ligneVente.sousTotal">Sous Total</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="sousTotalHT"><span jhiTranslate="winpharmApp.ligneVente.sousTotalHT">Sous Total HT</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="produit.id"><span jhiTranslate="winpharmApp.ligneVente.produit">Produit</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="vente.id"><span jhiTranslate="winpharmApp.ligneVente.vente">Vente</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let ligneVente of ligneVentes ;trackBy: trackId">
                <td><a [routerLink]="['/ligne-vente', ligneVente.id, 'view' ]">{{ligneVente.id}}</a></td>
                <td>{{ligneVente.designationProduit}}</td>
                <td>{{ligneVente.prixProduit}}</td>
                <td>{{ligneVente.quantite}}</td>
                <td>{{ligneVente.sousTotal}}</td>
                <td>{{ligneVente.sousTotalHT}}</td>
                <td>
                    <div *ngIf="ligneVente.produit">
                        <a [routerLink]="['/produit', ligneVente.produit?.id, 'view' ]" >{{ligneVente.produit?.id}}</a>
                    </div>
                </td>
                <td>
                    <div *ngIf="ligneVente.vente">
                        <a [routerLink]="['/vente', ligneVente.vente?.id, 'view' ]" >{{ligneVente.vente?.id}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/ligne-vente', ligneVente.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/ligne-vente', ligneVente.id, 'edit']"
                                class="btn btn-primary btn-sm"
                                *jhiHasAnyAuthority="'ROLE_ADMIN'">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/ligne-vente', { outlets: { popup: ligneVente.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm"
                                *jhiHasAnyAuthority="'ROLE_ADMIN'">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div [hidden]="ligneVentes?.length === 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
